---
updatedAt: 2026-09-04T08:55:51.000Z
agentTools:
  projectIndex: https://developers.hrflow.ai/llms.txt
---

# 🧠 Search Jobs indexed in Boards

This endpoint allows you to Search Jobs.

<Callout icon="📘" theme="info">
  ### Prerequisites

  1. [✨ Create a Workspace](https://hrflow.ai/signup)
  2. [🔑 Get your API Key](https://developers.hrflow.ai/docs/api-authentification)
  3. [🧠 Activate Jobs Searching API](docs:ai-solutions#searching-api)
  4. [🔌 Create a Board](https://developers.hrflow.ai/docs/connectors-board)
  5. [💾 Index Jobs in the Board](https://developers.hrflow.ai/reference/index-a-job)
</Callout>

## Request headers

| Field                     | Value                            |
| :------------------------ | :------------------------------- |
| <code>X-API-KEY</code>    | Your API Key.                    |
| <code>X-USER-EMAIL</code> | Your HrFlow\.ai account's email. |

<Callout icon="🚧" theme="warn">
  ### Request Method Selection

  This endpoint supports both GET and POST. When query parameters exceed the maximum allowed URL length, clients should use the POST variant and send the same parameters in the request body (see the [changelog](https://developers.hrflow.ai/changelog/scoring-and-searching-api-add-new-method-post)).
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "website-api",
    "version": "2.3"
  },
  "servers": [
    {
      "url": "https://api.hrflow.ai/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY",
        "x-default": ""
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "X-USER-EMAIL"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/jobs/searching": {
      "get": {
        "summary": "🧠 Search Jobs indexed in Boards",
        "description": "This endpoint allows you to Search Jobs.",
        "operationId": "search-jobs",
        "parameters": [
          {
            "name": "board_keys",
            "in": "query",
            "description": "The list of the keys of the Boards containing the targeted Jobs. Example: `[\"xxx\", \"yyy\", \"zzz\"]`.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "include_job_keys",
            "schema": {
              "type": "string"
            },
            "description": "Include only Jobs matching the given list of Job keys. When provided, the results are restricted to this subset. Example : [\"xxx\", \"yyy\", \"zzz\"]"
          },
          {
            "in": "query",
            "name": "exclude_job_keys",
            "schema": {
              "type": "string"
            },
            "description": "Exclude Jobs according to the list of Job keys. Example : [\"xxx\", \"yyy\", \"zzz\"]"
          },
          {
            "in": "query",
            "name": "tracking_actions",
            "schema": {
              "type": "string"
            },
            "description": "Filter Jobs by the tracking activity recorded with a given Profile: only Jobs having at least one tracking whose action is in the list are returned. Example: [\"applied\", \"interviewed\", \"hired\"]"
          },
          {
            "name": "page",
            "in": "query",
            "description": "The number of the current results' page.",
            "schema": {
              "type": "string",
              "default": "1"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The number of results per page",
            "schema": {
              "type": "string",
              "default": "30"
            }
          },
          {
            "name": "order_by",
            "in": "query",
            "description": "Order results by <code>asc</code>, or <code>desc</code>.",
            "schema": {
              "type": "string",
              "enum": [
                "asc",
                "desc"
              ],
              "default": "desc"
            }
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Sort results by  <code>searching</code>, <code>created_at</code>, <code>updated_at</code>, <code>location</code>, <code>location_experience</code>, <code>location_education</code>.",
            "schema": {
              "type": "string",
              "enum": [
                "searching",
                "created_at",
                "updated_at",
                "location",
                "location_experience",
                "location_education"
              ],
              "default": "created_at"
            }
          },
          {
            "name": "created_at_min",
            "in": "query",
            "description": "Set a minimum creation date. Example: `2023-06-01T00:00:00.000Z`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "created_at_max",
            "in": "query",
            "description": "Set a maximum creation date. Example: `2023-09-01T00:00:00.000Z`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "names",
            "in": "query",
            "description": "Filter Jobs by their names. Example: `[\"xxx\", \"yyy\", \"zzz\"]`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "location_geopoint",
            "in": "query",
            "description": "Filter Jobs by their location address. Example: `{\"lat\":47.21812, \"lng\":-1.55306}`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "location_distance",
            "in": "query",
            "description": "Set a radius around the Jobs' location address (in Km).",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "summary_keywords",
            "in": "query",
            "description": "Filter Jobs by keywords in their summary section. Example: `[\"xxx\", \"yyy\", \"zzz\"]`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "text_keywords",
            "in": "query",
            "description": "Filter Jobs by keywords in the full text. Example: `[\"xxx\", \"yyy\", \"zzz\"]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "enrich_text_keywords",
            "in": "query",
            "description": "If enabled, this feature enriches the search by including synonyms of the keywords specified in <code>text_keywords</code>, broadening the search results.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "skills",
            "in": "query",
            "description": "Filter results by a list of skills names and their values. Example: `[{\"name\":\"python\", \"value\":null}]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "languages",
            "in": "query",
            "description": "Filter results by a list of languages names and their values. Example: `[{\"name\":\"english\", \"value\":null}]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "tags_included",
            "in": "query",
            "description": "Filter results containing certain tag names and their values. Shape of this field `[ [... OR ...] AND [... OR ...] ]`. Example : `[[{\"name\":\"sync\",\"value\":\"1\"}]]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "tags_excluded",
            "in": "query",
            "description": "Exclude results containing certain tag names and their values. Shape of this field `[ [... OR ...] AND [... OR ...] ]`. Example : `[[{\"name\":\"sync\",\"value\":\"0\"}]]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ranges_float",
            "in": "query",
            "description": "Filter results by a range of floats. Example: `[{\"name\": \"salary\", \"value_min\": 1234.56, \"value_max\": 6543.21}]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ranges_date",
            "in": "query",
            "description": "Filter results by a range of dates. Example: `[{\"name\":\"Dates\",\"value_min\":\"2020-05-18T21:59\",\"value_max\":\"2020-09-15T21:59\"}]`",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "raw_filters",
            "schema": {
              "type": "string"
            },
            "description": "Filter results based on custom raw query.\nExample: `{\"query\":{\"bool\":{\"should\":[{\"match\":{\"summary\":\"python\"}},{\"match\":{\"summary\":\"machine learning\"}}]}}}`"
          },
          {
            "in": "query",
            "name": "facets",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "description": "List of fields to return facet counts for (e.g. `[\"skills\",\"languages\"]`). A non-empty value returns aggregated counts under meta and no ranked jobs."
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"code\": 200,\n  \"message\": \"Job searching results\",\n  \"meta\": {\n    \"page\": 1,\n    \"maxPage\": 42,\n    \"count\": 1,\n    \"total\": 42\n  },\n  \"data\": {\n    \"jobs\": [\n      {\n        \"id\": 7777777,\n        \"key\": \"3d2855d03ad46c0db6fc42080cc9997835778e6a\",\n        \"reference\": \"job#42\",\n        \"board_key\": \"ee1caddc5a60961cd5db6e7528211e330087a893\",\n        \"board\": {\n          \"key\": \"ee1caddc5a60961cd5db6e7528211e330087a893\",\n          \"name\": \"board\",\n          \"type\": \"api\",\n          \"subtype\": \"http_api\",\n          \"environment\": \"production\"\n        },\n        \"name\": \"Professional HrFlow api documentation reader\",\n        \"url\": \"https://www.linkedin.com/jobs/search/?currentJobId=77777777\",\n        \"picture\": null,\n        \"summary\": \"This job requires much reading.\",\n        \"location\": {\n          \"text\": \"103A Circle Ave., Charlottesville, VA 22905\",\n          \"lat\": 38.050865,\n          \"lng\": -78.503805,\n          \"gmaps\": \"https://www.google.com/maps/place/38.050865,-78.503805\",\n          \"fields\": {\n            \"category\": null,\n            \"city\": \"Charlottesville\",\n            \"city_district\": null,\n            \"country\": \"USA\",\n            \"country_region\": null,\n            \"entrance\": null,\n            \"house\": null,\n            \"house_number\": null,\n            \"island\": null,\n            \"level\": null,\n            \"near\": null,\n            \"po_box\": null,\n            \"postcode\": \"22905\",\n            \"road\": null,\n            \"staircase\": null,\n            \"state\": \"Virginia\",\n            \"state_district\": \"City of Charlottesville\",\n            \"suburb\": null,\n            \"text\": \"22905, Charlottesville, VA, USA\",\n            \"unit\": null,\n            \"world_region\": null\n          }\n        },\n        \"archive\": null,\n        \"archived_at\": null,\n        \"updated_at\": \"2023-11-10T13:22:04+0000\",\n        \"created_at\": \"2023-11-10T15:00:00+0000\",\n        \"sections\": [\n          {\n            \"name\": \"Description\",\n            \"title\": \"Description\",\n            \"description\": \"As an AI Researcher Intern at HrFlow.ai, you'll play a vital role in driving the next phase of our exciting expansion.\"\n          }\n        ],\n        \"culture\": \"We love AI engineering, problem-solving, and business.\",\n        \"responsibilities\": \"Designing, implementing, and optimizing AI models and algorithms that solve complex HR challenges.\",\n        \"requirements\": \"Enrolled in an advanced degree in Computer Science, Artificial Intelligence, or a related field.\",\n        \"benefits\": \"Go fast and learn a lot. High-impact position and responsibilities without any day being the same.\",\n        \"interviews\": \"Interview with one of our lead AI Researcher to discuss your experience and qualifications in more detail.\",\n        \"skills\": [\n          {\n            \"name\": \"Lycanthropy\",\n            \"type\": \"soft\",\n            \"value\": \"42/100\"\n          },\n          {\n            \"name\": \"python\",\n            \"type\": \"hard\",\n            \"value\": null\n          }\n        ],\n        \"languages\": [\n          {\n            \"name\": \"English\",\n            \"value\": \"Native\"\n          },\n          {\n            \"name\": \"french\",\n            \"value\": null\n          }\n        ],\n        \"certifications\": [\n          {\n            \"name\": \"Wizardry\",\n            \"value\": \"Individual\"\n          },\n          {\n            \"name\": \"CPR\",\n            \"value\": null\n          }\n        ],\n        \"courses\": [\n          {\n            \"name\": \"Advanced Potion-Making\",\n            \"value\": \"On campus\"\n          },\n          {\n            \"name\": \"Machine learning\",\n            \"value\": null\n          }\n        ],\n        \"tasks\": [\n          {\n            \"name\": \"Defeat the Basilisk\",\n            \"value\": \"Bravery\"\n          },\n          {\n            \"name\": \"Come to work at 9 am.\",\n            \"value\": null\n          }\n        ],\n        \"interests\": [\n          {\n            \"name\": \"Levitation\",\n            \"value\": \"Amateur\"\n          },\n          {\n            \"name\": \"Coding\",\n            \"value\": null\n          }\n        ],\n        \"tags\": [\n          {\n            \"name\": \"Referrer\",\n            \"value\": \"linkedin\"\n          }\n        ],\n        \"metadatas\": [\n          {\n            \"name\": \"Company size\",\n            \"value\": \"10-100\"\n          }\n        ],\n        \"ranges_float\": [\n          {\n            \"name\": \"Salary\",\n            \"value_min\": 1234.56,\n            \"value_max\": 6543.21,\n            \"unit\": \"euros\"\n          }\n        ],\n        \"ranges_date\": [\n          {\n            \"name\": \"Dates\",\n            \"value_min\": \"2023-01-01T00:00:00Z\",\n            \"value_max\": \"2023-12-01T00:00:00Z\"\n          }\n        ]\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Job searching results"
                    },
                    "meta": {
                      "type": "object",
                      "properties": {
                        "page": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "maxPage": {
                          "type": "integer",
                          "example": 42,
                          "default": 0
                        },
                        "count": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "total": {
                          "type": "integer",
                          "example": 42,
                          "default": 0
                        }
                      }
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "jobs": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "example": 7777777,
                                "default": 0
                              },
                              "key": {
                                "type": "string",
                                "example": "3d2855d03ad46c0db6fc42080cc9997835778e6a"
                              },
                              "reference": {
                                "type": "string",
                                "example": "job#42"
                              },
                              "board_key": {
                                "type": "string",
                                "example": "ee1caddc5a60961cd5db6e7528211e330087a893"
                              },
                              "board": {
                                "type": "object",
                                "properties": {
                                  "key": {
                                    "type": "string",
                                    "example": "ee1caddc5a60961cd5db6e7528211e330087a893"
                                  },
                                  "name": {
                                    "type": "string",
                                    "example": "board"
                                  },
                                  "type": {
                                    "type": "string",
                                    "example": "api"
                                  },
                                  "subtype": {
                                    "type": "string",
                                    "example": "http_api"
                                  },
                                  "environment": {
                                    "type": "string",
                                    "example": "production"
                                  }
                                }
                              },
                              "name": {
                                "type": "string",
                                "example": "Professional HrFlow api documentation reader"
                              },
                              "url": {
                                "type": "string",
                                "example": "https://www.linkedin.com/jobs/search/?currentJobId=77777777"
                              },
                              "picture": {},
                              "summary": {
                                "type": "string",
                                "example": "This job requires much reading."
                              },
                              "location": {
                                "type": "object",
                                "properties": {
                                  "text": {
                                    "type": "string",
                                    "example": "103A Circle Ave., Charlottesville, VA 22905"
                                  },
                                  "lat": {
                                    "type": "number",
                                    "example": 38.050865,
                                    "default": 0
                                  },
                                  "lng": {
                                    "type": "number",
                                    "example": -78.503805,
                                    "default": 0
                                  },
                                  "gmaps": {
                                    "type": "string",
                                    "example": "https://www.google.com/maps/place/38.050865,-78.503805"
                                  },
                                  "fields": {
                                    "type": "object",
                                    "properties": {
                                      "category": {},
                                      "city": {
                                        "type": "string",
                                        "example": "Charlottesville"
                                      },
                                      "city_district": {},
                                      "country": {
                                        "type": "string",
                                        "example": "USA"
                                      },
                                      "country_region": {},
                                      "entrance": {},
                                      "house": {},
                                      "house_number": {},
                                      "island": {},
                                      "level": {},
                                      "near": {},
                                      "po_box": {},
                                      "postcode": {
                                        "type": "string",
                                        "example": "22905"
                                      },
                                      "road": {},
                                      "staircase": {},
                                      "state": {
                                        "type": "string",
                                        "example": "Virginia"
                                      },
                                      "state_district": {
                                        "type": "string",
                                        "example": "City of Charlottesville"
                                      },
                                      "suburb": {},
                                      "text": {
                                        "type": "string",
                                        "example": "22905, Charlottesville, VA, USA"
                                      },
                                      "unit": {},
                                      "world_region": {}
                                    }
                                  }
                                }
                              },
                              "archive": {},
                              "archived_at": {},
                              "updated_at": {
                                "type": "string",
                                "example": "2023-11-10T13:22:04+0000"
                              },
                              "created_at": {
                                "type": "string",
                                "example": "2023-11-10T15:00:00+0000"
                              },
                              "sections": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Description"
                                    },
                                    "title": {
                                      "type": "string",
                                      "example": "Description"
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "As an AI Researcher Intern at HrFlow.ai, you'll play a vital role in driving the next phase of our exciting expansion."
                                    }
                                  }
                                }
                              },
                              "culture": {
                                "type": "string",
                                "example": "We love AI engineering, problem-solving, and business."
                              },
                              "responsibilities": {
                                "type": "string",
                                "example": "Designing, implementing, and optimizing AI models and algorithms that solve complex HR challenges."
                              },
                              "requirements": {
                                "type": "string",
                                "example": "Enrolled in an advanced degree in Computer Science, Artificial Intelligence, or a related field."
                              },
                              "benefits": {
                                "type": "string",
                                "example": "Go fast and learn a lot. High-impact position and responsibilities without any day being the same."
                              },
                              "interviews": {
                                "type": "string",
                                "example": "Interview with one of our lead AI Researcher to discuss your experience and qualifications in more detail."
                              },
                              "skills": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Lycanthropy"
                                    },
                                    "type": {
                                      "type": "string",
                                      "example": "soft"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "42/100"
                                    }
                                  }
                                }
                              },
                              "languages": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "English"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "Native"
                                    }
                                  }
                                }
                              },
                              "certifications": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Wizardry"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "Individual"
                                    }
                                  }
                                }
                              },
                              "courses": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Advanced Potion-Making"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "On campus"
                                    }
                                  }
                                }
                              },
                              "tasks": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Defeat the Basilisk"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "Bravery"
                                    }
                                  }
                                }
                              },
                              "interests": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Levitation"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "Amateur"
                                    }
                                  }
                                }
                              },
                              "tags": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Referrer"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "linkedin"
                                    }
                                  }
                                }
                              },
                              "metadatas": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Company size"
                                    },
                                    "value": {
                                      "type": "string",
                                      "example": "10-100"
                                    }
                                  }
                                }
                              },
                              "ranges_float": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Salary"
                                    },
                                    "value_min": {
                                      "type": "number",
                                      "example": 1234.56,
                                      "default": 0
                                    },
                                    "value_max": {
                                      "type": "number",
                                      "example": 6543.21,
                                      "default": 0
                                    },
                                    "unit": {
                                      "type": "string",
                                      "example": "euros"
                                    }
                                  }
                                }
                              },
                              "ranges_date": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "name": {
                                      "type": "string",
                                      "example": "Dates"
                                    },
                                    "value_min": {
                                      "type": "string",
                                      "example": "2023-01-01T00:00:00Z"
                                    },
                                    "value_max": {
                                      "type": "string",
                                      "example": "2023-12-01T00:00:00Z"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Invalid keys format": {
                    "value": "{\n  \"code\": 400,\n  \"message\": \"Bad Request. Invalid board_keys format:\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Bad Request. Invalid board_keys format:"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Invalid secret key": {
                    "value": "{\n    \"code\": 401,\n    \"message\": \"Unauthorized. Invalid secret key: xxxxx \"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized. Invalid secret key: xxxxx "
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```